import path from 'path';

import {fileURLToPath} from 'url'
const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);

export default [
    {
        name: 'node',
        target: 'node',
        mode: "production",
        entry: {
            node: './start.js',
        },
        optimization: {
            minimize: false,
        },
        output: {
            filename: 'machine-starter.js',
            path: path.resolve(__dirname, '../dist'),
        }
    }
]
